## Copyright (C) 2012 Lorant Oroszlany
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, see
## <http://www.gnu.org/licenses/>.

## bark2hz(O) converts O from barks to Hz

## Author: Lorant Oroszlany
## Created: 2012-04-28

function f = bark2hz (omega)

if size(omega) == [1,1]
	f = 600 * sinh(omega/6);
else
	f = arrayfun(@bark2hz,omega);
end
	
endfunction
