## Copyright (C) 2012 Lorant Oroszlany
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, see
## <http://www.gnu.org/licenses/>.

## cbandfilt(n) returns a critical band filter window of length n

## Author: Lorant Oroszlany
## Created: 2012-04-28

function [ ret ] = cbandfilt (n)

	z = zeros(39,1);
	
	z(1:21)  = [10.^([-2.5:0.1:-0.5] + 1/2)];
	z(22:30) = 1;
	z(31:39) = [10.^(-2.5*([0.5:0.1:1.3] - 1/2))]; 
	
	ret = z;
	if n ~= 39
		ret = (interp1(linspace(1,n,39),z,1:n))';
	else
		ret = z;
	end

endfunction
