function S = lpc_cov(X,p)
% S = lpc_cov(X,p)
%
% Returns the LPC coefficients of the analyzed signal X with model order p
% Uses the covariance method for estimation

	if p > length(X)/2
		error('Model order must be at least length(X)/2')
	end;
	N = length(X);
	M1 = p+1;
	M2 = length(X);
	
	fi = zeros(p,p+1);
   	
	for k = 0:p;
			fi(:,k+1) = xcorr(X(1:end),X(M1-k:M2-k),p)(end-1:-1:ceil(end/2));
	end;

	A = fi(:,2:end);
	B = fi(:,1);
	
	S = [1;-A\B];

end