function ret = plot_stf (S,nval,color)
% plots S smoothed with nval points over the active figure in color

if nargin < 3; color = 'r'; end;

hold on;
grid on;

if (nval == length(S)) || (nval == 0)
	S1 = S;
else
	S1 = interp1(linspace(1,nval,length(S)),S,1:nval);
	S1 = interp(S1,round(length(S)/nval));
end
S1 = S1 ./ max(S1);
plot(S1,color,'linewidth',2);
axis([0,length(S1),-1,1.3]);
hold off; 

ret = 0;

endfunction
