## Copyright (C) 2012 Lorant Oroszlany
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, see
## <http://www.gnu.org/licenses/>.

## strceps
## returns real cepstra for windowed slices of X

## Author: Lorant Oroszlany
## Created: 2012-04-30

function [S,T] = strceps (X, win_size, inc, win_type)


if ischar(X) 
	[X,sf,bps] = wavread(X);
	if nargin < 2
		win_size = sf/100; 
	else 
		win_size = ceil(sf*(win_size/1000));
	end
	if nargin < 3
		inc = floor(win_size/2);
	else
		inc = ceil(sf*(inc/1000));
	end
else
	if nargin < 2; win_size = 160;  end;
	if nargin < 3; inc = floor(win_size/2); end;
end
if nargin < 4; win_type = 1; end;


if ~isvector(X)
	if columns(X) > rows(X)
		X = X.';
	end
	S = strceps(X(:,1),win_size,inc,win_type);
	T = strceps(X(:,2),win_size,inc,win_type); 
else

	S = stf(X, @rceps, win_size, inc, win_type, ceil(win_size/2));
	
	
end

endfunction
